[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| GrayToRGBAccessor< VALUETYPE > Class Template Reference Accessors for RGBValue |

`#include <vigra/rgbvalue.hxx>`

List of all members.

## Public Member Functions
template<class ITERATOR >
value_type | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
value_type | operator() (ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

### template<class VALUETYPE>
class vigra::GrayToRGBAccessor< VALUETYPE >

Create an RGB view for a grayscale image by making all three channels equal.

#include <vigra/rgbvalue.hxx>
Namespace: vigra

## Member Function Documentation

value_type operator() | ( | ITERATOR const & | i | ) | const

Get RGB value for the given pixel.

value_type operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) |  | const

Get RGB value at an offset

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)